> For the complete documentation index, see [llms.txt](https://docs.nmkr.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nmkr.io/jp/nmkr-studio-api/apino/i/neitibutkunwoshitanftnoiadoresuno.md).

# ネイティブ・トークンを使用した単一NFT販売の支払いアドレスの取得

このCurlリクエストを使用すると、カスタムネイティブトークンで支払うことができる顧客の支払いアドレスを作成できます。この回避策は、プロジェクトの価格リストの価格を使用しません。

#### Curlリクエスト形式

curlリクエストは、以下のフォーマットで送信する必要があります。

指定されるすべてのパラメータは、curlリクエストで値を指定する必要があることに留意してください。

トークンの支払いには、技術的に最低5.5 ADAをチャージする必要があります。

APIは、お客様がTokenレジストリで指定した小数点以下も考慮しません。

```json
curl -X 'GET' \
  'https://studio-api.nmkr.io/v2/GetPaymentAddressForRandomNftSale/<project_UID>/<Token_count>/<Lovelace>/127.0.0.1?referer=<referer>&customproperty=<custom_property>&optionalreceiveraddress=<receiver_address>&optionalpriceintokenpolicyid=<token_policy_Id>&optionalpriceintokenassetnameinhex=<assetname_in_HEX>&optionalpriceintokencount=<price_in_tokens>' \
  -H 'accept: text/plain' \
  -H 'Authorization: Bearer <your API Key>'
```

Curlリクエスト例

```json
curl -X 'GET' \
  'https://studio-api.nmkr.io/v2/GetPaymentAddressForRandomNftSale/86ed0fa4-bb87-4ac7-95fa-f86140a175d7/1/5500000/127.0.0.1?optionalpriceintokenpolicyid=5dac8536653edc12f6f5e1045d8164b9f59998d3bdc300fc92843489&optionalpriceintokenassetnameinhex=4E4D4B52&optionalpriceintokencount=4' \
  -H 'accept: text/plain' \
  -H 'Authorization: Bearer <your API Key>'
```

#### 応答

指定したパラメータに従って、このcurlのレスポンスに支払いアドレスが与えられます。このアドレスに適切な量のADAとカスタムネーティブトークンが送信されると、このアドレスを使用してアセットをミントできるようになります。

```json
{
  "paymentAddress": "addr1v908nestz7uz40xlyqhkmtr94vt7rj39ps2jugsr6s9y2tgk6q5u8",
  "paymentAddressId": 502211,
  "expires": "2023-09-17T14:52:49.459975+00:00",
  "adaToSend": "5.5",
  "debug": "",
  "priceInEur": 1.29,
  "priceInUsd": 1.38,
  "priceInJpy": 203.69,
  "priceInBtc": 5.1832554E-05,
  "effectivedate": "2023-09-17T14:03:41",
  "priceInLovelace": 5500000,
  "additionalPriceInTokens": [
    {
      "countToken": 4,
      "policyId": "5dac8536653edc12f6f5e1045d8164b9f59998d3bdc300fc92843489",
      "assetNameInHex": "4e4d4b52",
      "multiplier": 1,
      "totalCount": 4,
      "assetName": "NMKR",
      "decimals": 0
    }
  ],
  "sendbackToUser": 2000000
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nmkr.io/jp/nmkr-studio-api/apino/i/neitibutkunwoshitanftnoiadoresuno.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
